# `TangoDatabaseCache`

digraph inheritance8464ae592e { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "TangoDatabaseCache" [URL="#taurus.core.tango.TangoDatabaseCache",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top"]; }

class TangoDatabaseCache(db)

  Import from `taurus.core.tango` as:

      from taurus.core.tango import TangoDatabaseCache

  property db
  deviceTree()

    Returns a tree container with all devices in three levels: domain, family and member

    Returns:

      a tree containning all devices

    Return type:

      TangoDevTree

  devices()
  getAliasNames()
  getClassNames()

    Returns a list of registered device classes

    Returns:

      a sequence with all registered device classes

    Return type:

      sequence<str>

  getDevice(name)

    Returns a `TangoDevInfo` object with information about the given device name

    Parameters:

      name (str) – the device name

    Returns:

      information about the device

    Return type:

      TangoDevInfo

  getDeviceDomainNames()
  getDeviceFamilyNames(domain)
  getDeviceMemberNames(domain, family)
  getDeviceNames()

    Returns a list of registered device names

    Returns:

      a sequence with all registered device names

    Return type:

      sequence<str>

  getDomainDevices(domain)
  getFamilyDevices(domain, family)
  getServerNameInstances(serverName)
  getServerNames()

    Returns a list of registered server names

    Returns:

      a sequence with all registered server names

    Return type:

      sequence<str>

  klasses()
  refresh()
  refreshAttributes(device)
  serverTree()

    Returns a tree container with all servers in two levels: server name and server instance

    Returns:

      a tree containning all servers

    Return type:

      TangoServerTree

  servers()